<div class="register-background"></div>

<div class="register-form" fxLayout="column" fxLayoutAlign="space-around center">
  <md-card>
    <form name="form" (ngSubmit)="register()" fxLayout="column" fxLayoutAlign="space-around center">

      <img src="assets/img/Yum-logo.png" width='200'>
      <h2>Sign in</h2>

      <md-input-container>
        <input type="text" mdInput autocomplete="off" placeholder="E-mail" name="email" [(ngModel)]="userSave.email" required>
        <md-hint *ngIf="errors.email === -1">E-mail is not valid!</md-hint>
        <md-error>Email is required</md-error>
      </md-input-container>

      <md-input-container>
        <input type="password" mdInput autocomplete="off" placeholder="Password" name="password" [(ngModel)]="userSave.password"
          (keyup)="confirmPassword()" required>
        <md-hint *ngIf="userSave.password.length < 6 && userSave.password.length > 0">Password need to have at least 6 chars</md-hint>
        <md-error>Password is required</md-error>
      </md-input-container>

      <md-input-container>
        <input type="password" mdInput autocomplete="off" placeholder="Confirm Password" name="confirm" [(ngModel)]="confirm" (keyup)="confirmPassword()"
          required>
        <md-hint *ngIf="errors.password === -1">Passwords do not match</md-hint>
        <md-error>Confirmation of password is required</md-error>
      </md-input-container>

      <md-input-container>
        <input type="text" mdInput autocomplete="off" placeholder="First Name" name="firstname" [(ngModel)]="userSave.firstName">
      </md-input-container>

      <md-input-container>
        <input type="text" mdInput placeholder="Last Name" name="lastname" [(ngModel)]="userSave.lastName">
      </md-input-container>

      <p>By clicking Create Account, I agree to the<br><a (click)='termsService.showTerms()'>Terms of Service</a> and <a (click)='termsService.showPolicy()'>Privacy Policy</a>.</p>

      <button [disabled]="loading" md-raised-button class="red-button">
        <span *ngIf='!loading'>Create Account</span>
        <app-spinner [small]="true" *ngIf='loading'></app-spinner>
      </button>

    </form>
  </md-card>

  <div class="register-createbox" fxLayout="column" fxLayoutAlign="space-around center">
    <p>Already have an account?</p>
    <h3><a (click)="login()">Sign In</a></h3>
  </div>

</div>
<div class="register-quote">
  <p>What I've enjoyed most, though, is meeting people who have a real interest in food and sharing ideas with them. Good food
    is a global thing and I find that there is always something new and amazing to learn - I love it!</p>
  <p>Jamie Oliver</p>
  <a href="http://www.brainyquote.com">www.brainyquote.com</a>
</div>
